<div>
  <h2 id="page-heading" data-cy="PapelHeading">
    <span jhiTranslate="matrixApp.papel.home.title">Papels</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="matrixApp.papel.home.refreshListLabel">Atualizar lista</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-papel"
        [routerLink]="['/papel/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="matrixApp.papel.home.createLabel">Criar novo Papel</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="papels?.length === 0">
    <span jhiTranslate="matrixApp.papel.home.notFound">Nenhum Papel encontrado</span>
  </div>

  <div class="table-responsive table-entities" id="entities" *ngIf="papels && papels.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
          <th scope="col" jhiSortBy="id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.papel.id">Id</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="descricao">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.papel.descricao">Descricao</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="perfil.id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.papel.perfil">Perfil</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let papel of papels; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/papel', papel.id, 'view']">{{ papel.id }}</a>
          </td>
          <td>{{ papel.descricao }}</td>
          <td>
            <div *ngIf="papel.perfil">
              <a [routerLink]="['/perfil', papel.perfil.id, 'view']">{{ papel.perfil.id }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button type="submit" [routerLink]="['/papel', papel.id, 'view']" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Visualizar</span>
              </button>

              <button type="submit" [routerLink]="['/papel', papel.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Editar</span>
              </button>

              <button type="submit" (click)="delete(papel)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Excluir</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
